## python-fingerprints 1.1.0

=== Makefile ===

all: generate clean test

generate:
	python fingerprints/types/check.py
	python fingerprints/types/compile.py
	black fingerprints/types/data.py

test:
	pytest --cov=fingerprints --cov-report html --cov-report term

typecheck:
	mypy --strict fingerprints/

clean:
	rm -rf dist build .eggs .mypy_cache
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

=== debian/changelog ===
python-fingerprints (1.1.0-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Thu, 16 Feb 2023 12:20:59 +0000

python-fingerprints (1.0.3-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Fri, 03 Feb 2023 10:08:24 +0100

python-fingerprints (1.0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1029564)

 -- Edward Betts <edward@4angle.com>  Tue, 24 Jan 2023 21:47:45 +0000

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/python-fingerprints-$1\.tar\.gz/ \
  https://github.com/alephdata/fingerprints/tags .*/v?(\d\S+)\.tar\.gz

## python-fingerprints 1.1.1

=== debian/changelog ===
python-fingerprints (1.1.1-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Mon, 21 Aug 2023 07:18:42 +0100

## python-fingerprints 1.2.3

=== debian/changelog ===
python-fingerprints (1.2.3-1) unstable; urgency=medium

  * New upstream release.

 -- Edward Betts <edward@4angle.com>  Wed, 11 Oct 2023 05:13:12 +0100

=== debian/control ===
Source: python-fingerprints
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-icu <!nocheck>,
               python3-normality <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/alephdata/fingerprints
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fingerprints
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fingerprints.git

Package: python3-fingerprints
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Compare the names of companies and people with normalisation
 Generate fingerprints for entity data. A fingerprint in this context is
 understood as a simplified entity identifier, derived from it's name or
 address and used for cross-referencing of entity across different datasets.
 .
 Examples:
 .
   - Mr. Sherlock Holmes -> holmes sherlock
   - Siemens Aktiengesellschaft -> ag siemens
   - New York, New York -> new york

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fingerprints
export PYBUILD_TEST_PYTEST=1

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf fingerprints.egg-info/

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-icu, python3-pytest, @

## python-fingerprints 1.3.1

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 generate:
 	python fingerprints/types/check.py
 	python fingerprints/types/compile.py
-	black fingerprints/types/data.py
+	ruff format fingerprints/types/data.py
 
 test:
 	pytest --cov=fingerprints --cov-report html --cov-report term

=== debian/changelog ===
python-fingerprints (1.3.1-1) unstable; urgency=medium

  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Upstream switch build system to hatchling.
  * Needs python3-normality (>= 3.0.1).
  * Switch to autopkgtest-pkg-pybuild.
  * Update Standards-Version.
  * Update copyright year.
  * Simplify debian/rules.
  * Simplify debian/watch.

 -- Edward Betts <edward@4angle.com>  Wed, 06 Aug 2025 06:57:30 +0100

=== debian/control ===
Source: python-fingerprints
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Edward Betts <edward@4angle.com>,
Section: python
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-hatchling,
Build-Depends-Indep:
 python3-icu <!nocheck>,
 python3-normality (>= 3.0.1) <!nocheck>,
 python3-pytest <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/alephdata/fingerprints
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fingerprints
Vcs-Git: https://salsa.debian.org/python-team/packages/python-fingerprints.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-fingerprints
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Compare the names of companies and people with normalisation
 Generate fingerprints for entity data. A fingerprint in this context is
 understood as a simplified entity identifier, derived from it's name or
 address and used for cross-referencing of entity across different datasets.
 .
 Examples:
 .
   - Mr. Sherlock Holmes -> holmes sherlock
   - Siemens Aktiengesellschaft -> ag siemens
   - New York, New York -> new york

=== debian/watch ===
version=4
https://github.com/alephdata/fingerprints/tags .*/v?(\d\S+)\.tar\.gz
